gstreamermm: Gst::AudioFormatInfo Class Reference

gstreamermm 1.10.0

Public Member Functions | List of all members
Gst::AudioFormatInfo Class Reference

Information for an audio format. More...

`#include <gstreamermm/audioformat.h>`

## Public Member Functions
| AudioFormatInfo (const GstAudioFormatInfo* m_info)
GstAudioFormatInfo* | gobj ()
| Gets the underlying gobject. More...
const GstAudioFormatInfo* | gobj () const
| Gets the underlying gobject. More...
AudioFormat | get_format () const
void | set_format (const AudioFormat& value)
std::string | get_name () const
void | set_name (const std::string& value)
std::string | get_description () const
void | set_description (const std::string& value)
AudioFormatFlags | get_flags () const
void | set_flags (const AudioFormatFlags& value)
int | get_endianness () const
void | set_endianness (const int& value)
int | get_width () const
void | set_width (const int& value)
int | get_depth () const
void | set_depth (const int& value)
AudioFormat | get_unpack_format () const
void | set_unpack_format (const AudioFormat& value)

## Detailed Description

Information for an audio format.

Last reviewed on 2016-04-23 (1.8.0).

## Constructor & Destructor Documentation

## ◆ AudioFormatInfo()

Gst::AudioFormatInfo::AudioFormatInfo | ( | const GstAudioFormatInfo * | m_info | ) |

## Member Function Documentation

## ◆ get_depth()

int Gst::AudioFormatInfo::get_depth | ( |  | ) | const

## ◆ get_description()

std::string Gst::AudioFormatInfo::get_description | ( |  | ) | const

## ◆ get_endianness()

int Gst::AudioFormatInfo::get_endianness | ( |  | ) | const

## ◆ get_flags()

AudioFormatFlags Gst::AudioFormatInfo::get_flags | ( |  | ) | const

## ◆ get_format()

AudioFormat Gst::AudioFormatInfo::get_format | ( |  | ) | const

## ◆ get_name()

std::string Gst::AudioFormatInfo::get_name | ( |  | ) | const

## ◆ get_unpack_format()

AudioFormat Gst::AudioFormatInfo::get_unpack_format | ( |  | ) | const

## ◆ get_width()

int Gst::AudioFormatInfo::get_width | ( |  | ) | const

## ◆ gobj() [1/2]

GstAudioFormatInfo* Gst::AudioFormatInfo::gobj | ( |  | ) |
| inline

Gets the underlying gobject.

## ◆ gobj() [2/2]

const GstAudioFormatInfo* Gst::AudioFormatInfo::gobj | ( |  | ) | const
| inline

Gets the underlying gobject.

## ◆ set_depth()

void Gst::AudioFormatInfo::set_depth | ( | const int & | value | ) |

## ◆ set_description()

void Gst::AudioFormatInfo::set_description | ( | const std::string & | value | ) |

## ◆ set_endianness()

void Gst::AudioFormatInfo::set_endianness | ( | const int & | value | ) |

## ◆ set_flags()

void Gst::AudioFormatInfo::set_flags | ( | const AudioFormatFlags& | value | ) |

## ◆ set_format()

void Gst::AudioFormatInfo::set_format | ( | const AudioFormat& | value | ) |

## ◆ set_name()

void Gst::AudioFormatInfo::set_name | ( | const std::string & | value | ) |

## ◆ set_unpack_format()

void Gst::AudioFormatInfo::set_unpack_format | ( | const AudioFormat& | value | ) |

## ◆ set_width()

void Gst::AudioFormatInfo::set_width | ( | const int & | value | ) |